develooper Front page | perl.perl5.porters | Postings from June 2021

Re: use v5.36; use warnings;

Thread Previous | Thread Next
From:
Yuki Kimoto
Date:
June 21, 2021 04:04
Subject:
Re: use v5.36; use warnings;
Message ID:
CAExogxPFnuT_X-4rfOU_cDCngrP9r5d8TR1LKxfgpJBKu77KAA@mail.gmail.com
2021-6-19 4:25 Ricardo Signes <perl.p5p@rjbs.manxome.org> wrote:

>
>    - but some people had already been writing "use strict; use warnings;
>    use v5.10.0" and we didn't want to hurt them
>
>
I want more examples for conversation. I want to know both current behavior
and desirable behavior.

[1]
use v5.10;
use strict;
use warnings;

[2]
use strict;
use warnings;
use v5.10;

[3]
use strict;
use warnings;
use v5.36;

[4]
use v5.36;
use strict;
use warnings;

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About